const emote_regex = /bttv:([^\s]+)/g;

async function bttv_get_url(code: string): Promise<string> {
  return "changed from ext";
}

async function process_text(text: string): Promise<string> {
  const emotes = text.matchAll(emote_regex);

  return text;
}

(() => {
  const cb_form = document.querySelector("#mgc_cb_evo_form");
  if (!(cb_form instanceof HTMLFormElement)) return;

  const bttv_btn = (() => {
    const btn = document.createElement("a");
    btn.style.setProperty("cursor", "pointer");
    btn.style.setProperty("margin-right", "4px");

    const img = document.createElement("img");
    img.setAttribute("src", chrome.runtime.getURL("bttv.png"));
    img.style.setProperty("max-height", "25px");
    img.style.setProperty("max-width", "25px");
    img.style.setProperty("vertical-align", "middle");

    btn.addEventListener("click", async (event) => {
      const cb_input = document.querySelector("#mgc_cb_evo_input");
      if (!(cb_input instanceof HTMLInputElement)) return;

      cb_input.focus();
      cb_input.value += await bttv_get_url("foo bar");
      cb_input.focus();
    });

    btn.appendChild(img);
    return btn;
  })();

  cb_form.insertBefore(
    bttv_btn,
    document.querySelector("#mgc_cb_evo_form > input[type=image]:nth-child(2)"),
  );

  console.log("done.");
})();
